import '@material/web/fab/fab'
import '@material/web/icon/icon'

import Scaffold from './Scaffold'
import TopAppBar from './TopAppBar'

import './FullScreenDialog.css'
import React from "react";

const floatingActionButton = (
    <md-fab label="Добавить сообщение">
        <md-icon slot="icon">add</md-icon>
    </md-fab>
)

export default function FullScreenDialog({
    setEditPoll,
    classList,
    children,
}) {
    return (
        <div className={`full-screen-dialog ${classList}`}>
            <Scaffold
                topBar={
                    <TopAppBar onDismissRequest={() => setEditPoll(false)}/>
                }
                floatingActionButton={floatingActionButton}
                content={children} />
        </div>
    )
}
