import './Scaffold.css'

export default function Scaffold({
    topBar,
    bottomBar,
    snackbarHost,
    floatingActionButton,
    content,
}) {
    return (
        <div className="scaffold">
            <div className="top-bar">{topBar}</div>
            <div className="content">
                {content}
            </div>
            <div className="bottom-bar">
                <aside>
                    <div className="snackbar">{snackbarHost}</div>
                    <div className="floating-action-button">{floatingActionButton}</div>
                </aside>
                {bottomBar}
            </div>
        </div>
    )
}
