import '@material/web/iconbutton/icon-button'
import '@material/web/icon/icon'
import '@material/web/button/filled-button'

import './TopAppBar.css'

export default function TopAppBar({
    onDismissRequest,
}) {
    return (
        <div className="top-app-bar">
            <md-icon-button onClick={() => onDismissRequest()}>
                <md-icon>close</md-icon>
            </md-icon-button>
            <div className="title md-typescale-title-large">Изменить опрос</div>
            <md-filled-button onClick={() => onDismissRequest()}>Сохранить</md-filled-button>
            <md-icon-button>
                <md-icon>more_vert</md-icon>
            </md-icon-button>
        </div>
    )
}
